Create a folder
curl --request POST \
--url https://www.getsnippets.ai/api/prompts/folder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"folderName": "<string>",
"folderColor": "#3B82F6",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://www.getsnippets.ai/api/prompts/folder"
payload = {
"folderName": "<string>",
"folderColor": "#3B82F6",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
folderName: '<string>',
folderColor: '#3B82F6',
teamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentFolderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.getsnippets.ai/api/prompts/folder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"folder": {}
},
"usage": {
"remainingRequests": 123
},
"metadata": {
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"folderName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}Folders
Create Folder
Creates a new folder. API Cost: 1 request.
POST
/
folder
Create a folder
Authorizations
API key authentication using Bearer token. Include your API key in the Authorization header.
Body
application/json
Name of the folder
Required string length:
1 - 1000Color for the folder (e.g., hex code)
Maximum string length:
100Example:
"#3B82F6"
ID of the team this folder belongs to
Optional parent folder ID for nested folders
⌘I